Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454619 - X freezes during startup with infinite loop when using elographics touch screen driver
Summary: X freezes during startup with infinite loop when using elographics touch scre...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-elographics
Version: 9
Hardware: i686
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-09 12:54 UTC by Uwe Kubosch
Modified: 2018-04-11 06:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-25 12:58:33 UTC


Attachments (Terms of Use)
X configuarion file used (deleted)
2008-07-09 12:54 UTC, Uwe Kubosch
no flags Details
X log when booting with the elographics driver enabled (deleted)
2008-07-09 12:55 UTC, Uwe Kubosch
no flags Details
X log when booting with the elographics driver disabled, then enabling it and restarting X using CTRL-ALT-BACKSPACE and tracing a finger on the touch-screen (deleted)
2008-07-09 12:57 UTC, Uwe Kubosch
no flags Details

Description Uwe Kubosch 2008-07-09 12:54:37 UTC
Description of problem:

We are using Sunit d12 (http://sunit.fi) devices with Fedora 9 (x86), and
everything works fine except the touch screen.

When enabling the xorg-x11-drv-elographics driver directly after installing
Fedora 9 and doing a "yum upgrade", X freezes wile repeating the following two
lines in the log:

[mi] EQ overflowing. The server is probably stuck in an infinite loop.
[mi] mieqEnequeue: out-of-order valuator event; dropping.


Version-Release number of selected component (if applicable):

1.2.0

How reproducible:

Always.

Steps to Reproduce:
1. Enable elographics with the attached xorg.conf
2. Start X
3.
  
Actual results:

X never completes startup, and produces the attached logs.

Expected results:

X completes and the touch screen works.

Additional info:

X never returns, and the infinite loop always occurs.

If I boot the device without the elographics driver enabled, X starts fine.  If
I then enable the elographics driver in /etc/X11/xorg.conf and restart X using
CTRL-ALT-BACKSPACE and I trace my finger on the touch-screen during elographics
driver startup, the touchscreen works perfectly, that is: the mouse pointer is
moved correctly when using the touch-screen.  However, only a blank screen is
displayed: X never completes startup.  This behaviour is similar to when we
tried using Fedora 8 on the same device (bug #445193).  This is logged in the
second Xorg.0.log.

When starting X during regular boot sequence, it always freezes.

Comment 1 Uwe Kubosch 2008-07-09 12:54:37 UTC
Created attachment 311368 [details]
X configuarion file used

Comment 2 Uwe Kubosch 2008-07-09 12:55:52 UTC
Created attachment 311370 [details]
X log when booting with the elographics driver enabled

Comment 3 Uwe Kubosch 2008-07-09 12:57:49 UTC
Created attachment 311371 [details]
X log when booting with the elographics driver disabled, then enabling it and restarting X using CTRL-ALT-BACKSPACE and tracing a finger on the touch-screen

Comment 4 Peter Hutterer 2008-10-23 00:17:04 UTC
Can you try this again with elographics 1.2.3 please?
There's another patch in 1.2.3 with stops it from blocking the server unnecessarily, which may have caused the EQ overflow.

Comment 5 Matěj Cepl 2008-11-24 11:34:30 UTC
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

Comment 6 Uwe Kubosch 2008-11-25 10:49:29 UTC
Hi!

Apologies for the late reply.  I have now tested with the new elographics 1.2.3 driver, and it works perfectly!

Thank you.  Bug can be closed as fixed.

Comment 7 Matěj Cepl 2008-11-25 13:37:32 UTC
Thanks for letting us know.


Note You need to log in before you can comment on or make changes to this bug.